Vantaj

Status Pages

Delete a status page

Delete a status page. The deleted record is returned.

DELETEhttps://api.vantaj.co/v1/status-pages/{id}

Requires an API key with the status_pages:write scope.

Authorizations

Authorizationstringheaderrequired

Bearer authentication using your API key: Authorization: Bearer <token>

Path parameters

idstring<uuid>required

The status page ID.

Delete a status page
cURL
curl --request DELETE \
  --url 'https://api.vantaj.co/v1/status-pages/<id>' \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "a1b2c3d4-e5f6-7a8b-9c0d-1e2f3a4b5c6d",
    "name": "Acme Status",
    "slug": "acme",
    "is_public": true,
    "description": "Live status of Acme services.",
    "accent_color": "#2563eb",
    "show_powered_by": true,
    "show_history": true,
    "history_days": 90,
    "rss_enabled": false,
    "subscribe_enabled": true,
    "custom_domain": "status.acme.com",
    "sections": [
      {
        "id": "sec_1",
        "title": "Core",
        "monitor_ids": [
          "d290f1ee-6c54-4b01-90e6-d701748f0851"
        ]
      }
    ],
    "project_id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
    "created_at": "2026-01-15T10:30:00Z",
    "updated_at": "2026-06-01T08:00:00Z"
  }
}